Subject: Re: ipv6 stack seems to forget to send ACKs

From: Andrew McGregor <[email-masked]>
Date: Thu, 09 Jan 2003 08:52:19 +1300

Selective ACK is mandatory in IPv6 and uses a somewhat different algorithm, 
so you shouldn't be seeing nearly as many ACKs as an IPv4 client would do 
by default.

Andrew

--On Wednesday, January 08, 2003 18:01:39 +0100 Wichert Akkerman 
<[email-masked]> wrote:

> Previously Maciej Soltysiak wrote:
>> I seem to be getting better results than you, i think that it is not an
>> issue of ipv6 implementation but simply the case of time sensitive
>> traffic fighting with other Internet traffic over tunnels through ipv4
>> networks.
>
> Actually, I don't follow this. How could any kind of traffic shaping
> result in my client not sending ACKs, which is what the tcpdump
> seems to indicate? I can understand packets being dropped which
> would result in retransmits, but that is not the case here.
>
> Wichert.
>
> (usual I'm-no-network-guru-and-might-be-misreading-things disclaimer here)
>
> --
> Wichert Akkerman <[email-masked]>           http://www.wiggy.net/
> A random hacker
> -
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/
>
>